<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__worker__thread__params__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_worker_thread_params_t</compoundname>
    <includes local="no">cy_worker_thread.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__worker__thread__params__t_1ae02e3a16a65e7bb72e10647beceb1fac" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__abstraction__rtos__port_1ga9f21bb78897c25df019b6e4286ecc7a0">cy_thread_priority_t</ref></type>
        <definition>cy_thread_priority_t cy_worker_thread_params_t::priority</definition>
        <argsstring />
        <name>priority</name>
        <briefdescription>
<para>Requested thread priority. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="73" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="73" />
      </memberdef>
      <memberdef id="structcy__worker__thread__params__t_1a1ab40c8bd034655877e583026cfb20ff" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_worker_thread_params_t::stack_size</definition>
        <argsstring />
        <name>stack_size</name>
        <briefdescription>
<para>Size of stack for new thread. </para>        </briefdescription>
        <detaileddescription>
<para>Note that this must be atleast CY_RTOS_MIN_STACK_SIZE </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="74" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="74" />
      </memberdef>
      <memberdef id="structcy__worker__thread__params__t_1a7dcafa34217aecb4f6745d162b20a256" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_worker_thread_params_t::stack</definition>
        <argsstring />
        <name>stack</name>
        <briefdescription>
<para>Pointer to stack. </para>        </briefdescription>
        <detaileddescription>
<para>If this is NULL a stack of size <ref kindref="member" refid="structcy__worker__thread__params__t_1a1ab40c8bd034655877e583026cfb20ff">stack_size</ref> will be allocated. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="76" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="76" />
      </memberdef>
      <memberdef id="structcy__worker__thread__params__t_1a31710f19616d90ca7ccd2076287bb028" kind="variable" mutable="no" prot="public" static="no">
        <type>const char *</type>
        <definition>const char* cy_worker_thread_params_t::name</definition>
        <argsstring />
        <name>name</name>
        <briefdescription>
<para>Thread name. </para>        </briefdescription>
        <detaileddescription>
<para>If set to NULL, <ref kindref="member" refid="group__group__worker__thread__util_1gae45bcc8cd62f58eb236ef486b4d5558c">CY_WORKER_THREAD_DEFAULT_NAME</ref> will be used. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="78" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="78" />
      </memberdef>
      <memberdef id="structcy__worker__thread__params__t_1ae0bee3f6b0c9b3250e7b3bba2a6fb012" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_worker_thread_params_t::num_entries</definition>
        <argsstring />
        <name>num_entries</name>
        <briefdescription>
<para>Maximum number of enteries the worker thread can queue. </para>        </briefdescription>
        <detaileddescription>
<para>If set to 0, <ref kindref="member" refid="group__group__worker__thread__util_1gae442fac806ebf74e3ba623a2c2e2ae1b">CY_WORKER_DEFAULT_ENTRIES</ref> will be used. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="80" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="80" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Worker Thread Parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="82" bodyfile="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" bodystart="71" column="1" file="output/libs/COMPONENT_ABS_RTOS/abstraction-rtos/include/cy_worker_thread.h" line="72" />
    <listofallmembers>
      <member prot="public" refid="structcy__worker__thread__params__t_1a31710f19616d90ca7ccd2076287bb028" virt="non-virtual"><scope>cy_worker_thread_params_t</scope><name>name</name></member>
      <member prot="public" refid="structcy__worker__thread__params__t_1ae0bee3f6b0c9b3250e7b3bba2a6fb012" virt="non-virtual"><scope>cy_worker_thread_params_t</scope><name>num_entries</name></member>
      <member prot="public" refid="structcy__worker__thread__params__t_1ae02e3a16a65e7bb72e10647beceb1fac" virt="non-virtual"><scope>cy_worker_thread_params_t</scope><name>priority</name></member>
      <member prot="public" refid="structcy__worker__thread__params__t_1a7dcafa34217aecb4f6745d162b20a256" virt="non-virtual"><scope>cy_worker_thread_params_t</scope><name>stack</name></member>
      <member prot="public" refid="structcy__worker__thread__params__t_1a1ab40c8bd034655877e583026cfb20ff" virt="non-virtual"><scope>cy_worker_thread_params_t</scope><name>stack_size</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>